Author Topic: [0710] Cannot rebuild OrbiterGen and Media_Plugin from the sources  (Read 811 times)

nite_man

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1019
  • Want to work with LinuxMCE
    • View Profile
    • Smart Home Blog
I try to rebuild OrbiterGen with 0710 sources. But got that error - http://pastebin.com/m68d2b06d

Another problem with Media_Plugin:

Code: [Select]
make: *** No rule to make target `../lib/libSerializeClass.a', needed by `Media_Plugin'.  Stop.

That's strange because with the same conditions the Photo_Screen_Saver and  CM11A were built successfully. I did both: exported /usr/pluto/lib in the SNR_LDFLAGS and copied libs from the that dir in the source directory lib. But without luck.

Any idea how to solve that?

TIA
Michael Stepanov,
My setup: http://wiki.linuxmce.org/index.php/User:Nite_man#New_setup
Russian LinuxMCE community: http://linuxmce.ru

merkur2k

  • Addicted
  • *
  • Posts: 513
    • View Profile
Re: [0710] Cannot rebuild OrbiterGen and Media_Plugin from the sources
« Reply #1 on: July 19, 2009, 12:44:16 am »
Honestly? Switch to 0810, you're gonna find very limited support for 0710. And if you're working on stuff that could be included in future versions, it will need to be done on 0810 anyway.

nite_man

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1019
  • Want to work with LinuxMCE
    • View Profile
    • Smart Home Blog
Re: [0710] Cannot rebuild OrbiterGen and Media_Plugin from the sources
« Reply #2 on: July 19, 2009, 11:38:36 am »
Honestly? Switch to 0810, you're gonna find very limited support for 0710. And if you're working on stuff that could be included in future versions, it will need to be done on 0810 anyway.

Already did it :) The issue with building of Media_Plugin and OrbiterGen is following. They cannot built individually. The solution is setup LinuxMCE building process, make a first build at least once and then build individual package using test-pkg.sh. The reason why I'd like to start with 0710 is to have new sorting option on my working system :) But in any case the patch is good for both 0710 and 0810.
Michael Stepanov,
My setup: http://wiki.linuxmce.org/index.php/User:Nite_man#New_setup
Russian LinuxMCE community: http://linuxmce.ru